# DeprecatedNamespace namespace

A namespace.

### Contents

- Reference
  - Classes
  - Enums
  - Typedefs
  - Functions
  - Variables

#### Deprecated

This namespace is deprecated.

## Classes

struct BaseDeprecatedClass deprecated
  A base class.
struct DeprecatedClass deprecated
  A class.
struct DeprecatedStruct deprecated
  A struct.
union DeprecatedUnion deprecated
  An union.

## Enums

enum DeprecatedEnum { Value = 15 } deprecated
  An enum.
enum Enum { DeprecatedValue = 15 deprecated }
  An enum.

## Typedefs

using DeprecatedTypedef = int deprecated
  A typedef.

## Functions

void deprecatedFoo(int a, bool b, double c) deprecated
  A function.

## Variables

int DeprecatedVariable deprecated constexpr
  A variable.

## Enum documentation

### enum DeprecatedNamespace::DeprecatedEnum
#include <Dir/DeprecatedFile.h>

An enum.

#### Deprecated

This enum is deprecated.

Enumerators |
--- | ---
Value | Enum value

### enum DeprecatedNamespace::Enum
#include <Dir/DeprecatedFile.h>

An enum.

Enumerators |
--- | ---
DeprecatedValue | Enum value #### Deprecated This enum is deprecated.

## Typedef documentation

### typedef int DeprecatedNamespace::DeprecatedTypedef
#include <Dir/DeprecatedFile.h>

A typedef.

#### Deprecated

This typedef is deprecated.

## Function documentation

### void DeprecatedNamespace::deprecatedFoo(int a, bool b, double c)
#include <Dir/DeprecatedFile.h>

A function.

#### Deprecated

This function is deprecated.

## Variable documentation

### int DeprecatedNamespace::DeprecatedVariable constexpr
#include <Dir/DeprecatedFile.h>

A variable.

#### Deprecated

This variable is deprecated.